STARPU_FXT_TOOL(1)

NAME
starpu_fxt_tool - Convert raw StarPU FxT trace to various traces

SYNOPSIS
starpu_fxt_tool [ options ]

DESCRIPTION
Generate a trace in the Paje format

OPTIONS

-i <input file[s]>
    specify the input file[s]. Several files can be provided, or the option specified several times for MPI execution case

-o <output file>
    specify the paje output filename

-d <directory>
    specify the directory in which to save files

-c  use a different colour for every type of task

-no-events
    do not show events

-no-counter
    do not show scheduler counters

-no-bus
    do not show PCI bus transfers

-no-flops
    do not show flops

-no-smooth
    avoid smoothing values for gflops etc.

-no-acquire
    do not show application data acquisitions tasks in DAG

-label-deps
    add label on dependencies.

-memory-states
    show detailed memory states of handles

-internal
    show StarPU-internal tasks in DAG

-number-events
    generate a file counting FxT events by type

-use-task-color
    propagate the specified task color to the contexts

-h, --help
    display this help and exit

-v, --version
    output version information and exit

REPORTING BUGS
Report bugs to <starpu-devel@inria.fr>.